org.osgi.framework.BundleException: The bundle "com.oracle.jdeveloper.nbnavigator_1.0.0 [920]" could not be resolved. Reason: Missing Constraint: Require-Bundle: oracle.ide; bundle-version="[11.1.2,100.0.0)"

Oracle Community | 84665a67-53f6-4076-95af-8f233a0efd27 | 2 years ago
  1. 0

    Missing bundle in Jdeveloper Upgrading Maf to 2.1.1

    Oracle Community | 2 years ago | 84665a67-53f6-4076-95af-8f233a0efd27
    org.osgi.framework.BundleException: The bundle "com.oracle.jdeveloper.nbnavigator_1.0.0 [920]" could not be resolved. Reason: Missing Constraint: Require-Bundle: oracle.ide; bundle-version="[11.1.2,100.0.0)"
  2. 0

    NetBeans Forums - Another problem with "Background scanning" - using Node.js project

    netbeans.org | 5 months ago
    org.osgi.framework.BundleException: Exception in org.eclipse.core.internal.registry.osgi.Activator.start() of bundle org.eclipse.equinox.registry.
  3. 0

    Re: Classes generated on runtime (javassist) classloader issue

    geronimo-user | 3 years ago | dkateros
    org.osgi.framework.BundleException: Exception in org.apache.geronimo.system.osgi.BootActivator.start() of bundle org.apache.geronimo.framework.j2ee-system.
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    Eclipse startup problems

    Google Groups | 1 decade ago | Chris
    org.osgi.framework.BundleException: The bundle could not be resolved. Reason: Missing Constraint: Require-Bundle: org.eclipse.equinox.common; bundle-version="[3.2.0,4.0.0)"
  6. 0

    Rational:Development Tools (RAD, RSA, RDA, RSM, RWD):Missing Constraint: Require-Bundle: org.eclipse.core.jobs; bundle-version="[3.2.0,4.0.0)" - Development Tools (RAD, RSA, RDA, RSM, RWD) Forum

    ibm.com | 6 months ago
    org.osgi.framework.BundleException: The bundle could not be resolved. Reason: Missing Constraint: Require-Bundle: org.eclipse.core.jobs; bundle-version="[3.2.0,4.0.0)"

    Not finding the right solution?
    Take a tour to get the most out of Samebug.

    Tired of useless tips?

    Automated exception search integrated into your IDE

    Root Cause Analysis

    1. org.osgi.framework.BundleException

      The bundle "com.oracle.jdeveloper.nbnavigator_1.0.0 [920]" could not be resolved. Reason: Missing Constraint: Require-Bundle: oracle.ide; bundle-version="[11.1.2,100.0.0)"

      at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError()
    2. Eclipse OSGi
      EquinoxLauncher.start
      1. org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1332)
      2. org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1316)
      3. org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:323)
      4. org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:390)
      5. org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1177)
      6. org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:559)
      7. org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:544)
      8. org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:457)
      9. org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:243)
      10. org.eclipse.osgi.framework.internal.core.EquinoxLauncher.internalStart(EquinoxLauncher.java:271)
      11. org.eclipse.osgi.framework.internal.core.EquinoxLauncher.start(EquinoxLauncher.java:241)
      11 frames
    3. Eclipse OSGi
      Equinox.start
      1. org.eclipse.osgi.launch.Equinox.start(Equinox.java:258)
      1 frame
    4. org.netbeans.core
      Netigso.start
      1. org.netbeans.core.netigso.Netigso.start(Netigso.java:190)
      1 frame
    5. org.netbeans
      ModuleManager.enable
      1. org.netbeans.NetigsoHandle.startFramework(NetigsoHandle.java:198)
      2. org.netbeans.ModuleManager.enable(ModuleManager.java:1189)
      3. org.netbeans.ModuleManager.enable(ModuleManager.java:1011)
      3 frames
    6. org.netbeans.core
      TopThreadGroup.run
      1. org.netbeans.core.startup.ModuleList.installNew(ModuleList.java:340)
      2. org.netbeans.core.startup.ModuleList.trigger(ModuleList.java:276)
      3. org.netbeans.core.startup.ModuleSystem.restore(ModuleSystem.java:301)
      4. org.netbeans.core.startup.Main.getModuleSystem(Main.java:181)
      5. org.netbeans.core.startup.Main.getModuleSystem(Main.java:150)
      6. org.netbeans.core.startup.Main.start(Main.java:307)
      7. org.netbeans.core.startup.TopThreadGroup.run(TopThreadGroup.java:123)
      7 frames
    7. Java RT
      Thread.run
      1. java.lang.Thread.run(Thread.java:744)
      1 frame